<?php

namespace EventPortal\Domain\Util\Notification;

use EventPortal\Domain\Event\Models\Event;

class NotificationData
{
    protected $id;

    protected $event;

    public function getDatabaseId(): int
    {
        return $this->id;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(Event $event): void
    {
        $this->event = $event;
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'event' => $this->event,
        ];
    }
}
